; 					Include for:
;    Filename: Interrupt_low.Asm                  *
;	btfsc	PIR1,ADIF,ACCESS	; ADC
;		rcall	IntAdc
;	IntAdc	;    
;#include <Int_ADC.inc>	;   .
;A11 TAD A/D Clock Period 385/1000  ns VDD = 5V/3V Page 370
;  .     
;    4 .  8 , .
;   -  64 
;         ADCHS.
;  4  + 4    64   146.484375 
;   20  ,   11  .
; 15  * 32  = 480   , 100    48 ,
; 25     4 -       .
;IntCheck	code	0x0100
;	btfss	PIE1,ADIE,ACCESS			;   ?
;		return
;#define ADC_Return		retfie	FAST ; ;    HiInt
;#define ADC_Return		return ;     
#define ADC_Return		bra	ExitAdcInt;    
;	bcf		PIR1,ADIF,ACCESS	;   ADC
	;bcf		PIE1,ADIE,ACCESS	;    -  -  
Add16_ADC		macro		ArgB,A1B,ArgA,A1A ;    -  
;      .
;      1 ,   :
;Note: When right justified, reading ADRESL
;increments ADPNT. When left justified,
;reading ADRESH increments ADPNT.
;Add16 macro ArgB,A1B,ArgA,A1A ;  =B+A,    -  

	movf	ArgA+1,W,A1A	;     -  
	addwf	ArgB+1,F,A1B	;     -   

	movf	ArgA,W	,A1A	;       
 			;xorwf	ADC_Rnd,F,ACCESS	;  
	addwf	ArgB,F,A1B	; 	;  + ,   =B+A

	btfsc	_C		;     
	incf	ArgB+1,F,A1B;      1

	endm
Add16_ADC_Max		macro		ArgB,A1B,ArgA,A1A,ArgM,A1M ;    -  
 local Done
;  -  
;      1 ,   :
;Note: When right justified, reading ADRESL
;increments ADPNT. When left justified,
;reading ADRESH increments ADPNT.
;Add16 macro ArgB,A1B,ArgA,A1A ;  =B+A,    -  

	movf	ArgA+1,W,A1A	;     -  
 movwf	ADC_Max_Buf+1,BANKED;   	
 			;xorwf	ADC_Rnd,F,ACCESS	;  
	addwf	ArgB+1,F,A1B	;     -   

	movf	ArgA,W	,A1A	;       
 movwf	ADC_Max_Buf,BANKED;   	
	addwf	ArgB,F,A1B	; 	;  + ,   =B+A

	btfsc	_C		;     
	incf	ArgB+1,F,A1B;      1

	movff16	ADC_Max_Buf,ADC_Max_Buf+2 ;      
;        
	Sub16	ADC_Max_Buf,BANKED,ArgM,A1M
;macro		ArgB,A1B,ArgA,A1A 	;    -  
;   B=B-A,     _ (  Borrow)
	bnc		Done	;  bnc     -      
	movff16	ADC_Max_Buf+2,ArgM	;   
Done:
	endm

Int_ADC:
;*******************************************
; 18 750     
;*******************************************
	dcfsnz	WDT_ADC,F,ACCESS	;    ADC
		bcf	WDT_Flag,0,ACCESS	;    ADC



; #ifdef	PCPWM_Present
; call	DelayCuriosity	;	    
;      50-55 ,   
;          20 ,   
; #endif ;#ifdef	PCPWM_Present
		
		ADC_Page	; BSR for ADC Task

;	Inc24	ADC_Cnt_All,BANKED	;  

;  movff	ADCON1,ADCON1_Print	;,F,BANKED; **********  
	btfss	ADCON1,BFOVFL,ACCESS	;BFEMT: Buffer Empty bit 1 = FIFO is empty
		bra	AdcDone3

	bcf	ADCON0,ADON,ACCESS	; 
	incf	ADC_ERR_Counter,F,ACCESS	;
;	movf	ADRESL,W,ACCESS	;   
;	movf	ADRESL,W,ACCESS	;   
;	movf	ADRESL,W,ACCESS	;   
;	movf	ADRESL,W,ACCESS	;   
;	movf	ADRESL,W,ACCESS	;   


		movlw	b'00000011'	;  
	andwf	ADCON1,W,ACCESS
		bz		IgnoreBufers
 movf	ADRESL,W,ACCESS	;   
	andwf	ADCON1,W,ACCESS
		bz		IgnoreBufers
 movf	ADRESL,W,ACCESS	;   
	andwf	ADCON1,W,ACCESS
		bz		IgnoreBufers
 movf	ADRESL,W,ACCESS	;   

IgnoreBufers
	bsf	ADCON0,ADON,ACCESS	; 
		ADC_Return	;   
AdcDone3
	movlw	ADC_ChannelSelect;   ADCHS: A/D CHANNEL SELECT REGISTER
#ifdef	PORTD ;; 18F4431,  2431  
;  /  
	btfsc	ADCHS,ADCHS_TestBit,ACCESS	;     
		bra		Second_ADC_Set	;     4 

	iorwf	ADCHS,F,ACCESS	;    -   
#else
	comf	WREG,W,ACCESS	;      
	andwf	ADCHS,F,ACCESS	;     -   
#endif
;*******************************************
; 9 375      40  4431  18 750  28  2431 
;*******************************************

; Add16_ADC_Max	ADC_Buff+0,BANKED,ADRESL,ACCESS,ADC_Max+0,BANKED; 
 Add16_ADC		ADC_Buff+0,BANKED,ADRESL,ACCESS;,ADC_Max+0,BANKED; 
 Add16_ADC		ADC_Buff+2,BANKED,ADRESL,ACCESS;,ADC_Max+2,BANKED; 
 Add16_ADC		ADC_Buff+4,BANKED,ADRESL,ACCESS;,ADC_Max+4,BANKED; 
 Add16_ADC		ADC_Buff+6,BANKED,ADRESL,ACCESS					; 

	decfsz	ADC_Counter,F,BANKED			;
		ADC_Return	;

;*******************************************
; 146,484375  -    1 
;*******************************************
	movlf	.64,ADC_Counter,BANKED	;   

	movff_N	ADC_Buff+0,ADC_Out+0,8	;  
	clrf_N	ADC_Buff+0,BANKED,8	;    
;***************************************
;    1  ADC_Out+0/2/4/6    
;***************************************
		bsf		ADC_Flag,0,ACCESS		;      
		bsf		ADC_Flag,1,ACCESS		;      
			ADC_Return;		bra	ExitAdcInt
Second_ADC_Set	;     4 
;*******************************************
; 146,484375  -    2 
;*******************************************
;	movlw	ADC_ChannelSelect;   ADCHS: A/D CHANNEL SELECT REGISTER
	comf	WREG,W,ACCESS	;      
	andwf	ADCHS,F,ACCESS	;     -   

 Add16_ADC	ADC_Buff+0x8,BANKED,ADRESL,ACCESS	; 
 Add16_ADC	ADC_Buff+0xA,BANKED,ADRESL,ACCESS	; 
 Add16_ADC	ADC_Buff+0xC,BANKED,ADRESL,ACCESS	; 
 Add16_ADC	ADC_Buff+0xE,BANKED,ADRESL,ACCESS	; 
	decfsz	ADC_Counter2,F,BANKED			;
		ADC_Return	;
	movlf	.64,ADC_Counter2,BANKED	;   

	movff_N	ADC_Buff+0x8,ADC_Out+0x8,8	; 
	clrf_N	ADC_Buff+0x8,BANKED,8	;   
;***************************************
;    2  ADC_Out+8/A/C/E    
;***************************************
		bsf		ADC_Flag,0,ACCESS		;      
		bsf		ADC_Flag,2,ACCESS		;     
;		bsf		TaskFlag1,3,ACCESS		;    
		ADC_Return;		bra	ExitAdcInt
ExitAdcInt
