;   Define_LCD_Key_Enc.inc
;#include Proj_Dir\LCD_Key_Enc\Lcd_Def2431_3.inc	;     .
; 04/11/2021       3 -   3*3  ,
;       .
	;extern	KeyBuf

#define NoReadBusyFlag	Yes		;  1      LCD   ,  R/W 

#define Short_Lcd_Bus		1	; 1= LCD 4  - .
 #if	Short_Lcd_Bus == 1
#define LCD_First_Init	0x28 ;      44780
 #else
#define LCD_First_Init	0x38 ;      44780
 #endif

; #define Nibble_Lcd_Bus		0x1;0x1=High;0x0=Low	;  LCD 4   /   

;
; 3 
 #define LCD_Key_Port	PORTC	
 #define LCD_Key_Lat	LATC
 #define LCD_Key_TRIS	TRISC 
 #define LCD_Ctrl_Port	LATB
 #define LCD_Ctrl_TRIS	TRISB
 

 #define LCD_RW	 		LATA,4,ACCESS; 05  LCD
 #define LCD_TRIS_RW	TRISA,4,ACCESS

#ifdef	NoReadBusyFlag	;
 #define LCD_Write		bcf	LCD_RW	;   
 #define LCD_Read		nop ;bsf	LCD_RW	;   
#else;#ifdef	NoReadBusyFlag	;
 #define LCD_Write		bcf	LCD_RW	;   
 #define LCD_Read		bsf	LCD_RW	;   
#endif;#ifdef	NoReadBusyFlag	;
 


#define LCD_BusEnable	bsf	LCD_E ;    
 #define LCD_BusDisable	bcf	LCD_E ;    
 


 #define LCD_RS	 		LCD_Ctrl_Port,6,ACCESS; 04  LCD
 #define LCD_TRIS_RS	LCD_Ctrl_TRIS,6,ACCESS

; #define LCD_RS	 		LCD_Key_Lat,3,ACCESS; 04  LCD  J11  
; #define LCD_TRIS_RS	LCD_Key_TRIS,3,ACCESS


 #define LCD_CmdReg		bcf	LCD_RS	;     
 #define LCD_DataReg	bsf	LCD_RS	;    


 #define LCD_E	 		LCD_Ctrl_Port,7,ACCESS; 06  LCD
 #define LCD_TRIS_E		LCD_Ctrl_TRIS,7,ACCESS

; #define LCD_E	 	LCD_Key_Lat,3,ACCESS; 06  LCD  J11  
; #define LCD_TRIS_E	LCD_Key_TRIS,3,ACCESS

; #define LCD_E	 		LCD_Key_Lat,1,ACCESS; 06  LCD  J10  
; #define LCD_TRIS_E	LCD_Key_TRIS,1,ACCESS
 

;  3 -    
#define LCD_Key_Port0	LCD_Key_Port,4,ACCESS
#define LCD_Key_Port1	LCD_Key_Port,5,ACCESS
#define LCD_Key_Port2	LCD_Key_Port,6,ACCESS
#define LCD_Key_Port3	LCD_Key_Port,7,ACCESS
;#define LCD_Key_Port4	LCD_Key_Port,7,ACCESS
;#define LCD_Key_Port5	LCD_Key_Port,7,ACCESS

#define LCD_Key_Lat0	LCD_Key_Lat,4,ACCESS
#define LCD_Key_Lat1	LCD_Key_Lat,5,ACCESS
#define LCD_Key_Lat2	LCD_Key_Lat,6,ACCESS
#define LCD_Key_Lat3	LCD_Key_Lat,7,ACCESS

#define LCD_Key_TRIS0	LCD_Key_TRIS,4,ACCESS
#define LCD_Key_TRIS1	LCD_Key_TRIS,5,ACCESS
#define LCD_Key_TRIS2	LCD_Key_TRIS,6,ACCESS
#define LCD_Key_TRIS3	LCD_Key_TRIS,7,ACCESS

#define LCD_Key_Mask01	b'11110000';    SET
#define LCD_Key_Mask10	b'00001111';    Clear


;#define LCD_Ctrl_TRIS3	LCD_Ctrl_TRIS,0,ACCESS

;#define LCD_E1	 		LATB,0,ACCESS
;#define LCD_Enc0 		LCD_Ctrl_Port,7,ACCESS;  
;#define LCD_Enc1 		LCD_Ctrl_Port,6,ACCESS;    
;#define LCD_Ctrl_TRIS3	LCD_Ctrl_TRIS,0,ACCESS

;#define LCD_E1	 		LATB,0,ACCESS
;#define LCD_KeyInp		bsf	TRISA,6,ACCESS	;    
;#define LCD_Enc0 		LCD_Ctrl_Port,7,ACCESS;  
;#define LCD_Enc1 		LCD_Ctrl_Port,6,ACCESS;    




;******************************************************************************

