; 06/11/2021   ~35  RealTimeKeep.asm
; 10    
;  #ifdef	PCPWM_Present
;	#include Proj_Dir\PCPWM_3F\DiagString.inc	;  
; #endif;	#ifdef	PCPWM_Present

		PCPWM_Page	;
	BCF INTCON, PEIE,ACCESS; Disable Interrupts Low/Periferial
 #include Proj_Dir\PCPWM_3F\PDC_TableLoad.inc;    
	BSF INTCON, PEIE,ACCESS; Disable Interrupts Low/Periferial

;13/11/2021     SpeedChange  10   
 movf	Par_VS,W,BANKED	;    
 mulwf	Par_A,BANKED	;    
 movf	PRODH,W,ACCESS	;    
 subwf	Par_A,W,BANKED; Subtract W from f     
; movwf	PCPWM_ML_Work+0,BANKED;       
 movwf	Par_OC,BANKED;     

;14/11/2021            
	btfss	PCPWM_Flag2,4,ACCESS;FlagEditAutoStart;Error[121]
		bra	DoneTimerLoader		;
	btfss	Key_Right			; 0=Pressed
	btfsc	Key_Down			; 0=Pressed
		bra	Keys_NotPressed		;  
	dcfsnz	TimerDefaultsLoader,F,bnk	;
  extern		FactoryCopy		;
	  goto		FactoryCopy		; nop	; Reset
	bra	DoneTimerLoader			;
Keys_NotPressed	;
	movlf	StartTimDefLd,TimerDefaultsLoader,bnk; 0x50  
DoneTimerLoader		;

;

	movf	LCD_6_4,W,BANKED	;      
	addlw	d'62'				; 
	movwf	LCD_4_Buf,BANKED;       4 
;-     :
;1.  SpeedChange     ,         -
; Msg81-90 --- (    SpeedChange PCPWM_MotorStatus,BANKED ;
;     )
	movlw	d'80'						;
	cpfsgt	PCPWM_MotorStatus,BANKED	;(f) - (WREG) skip if (f) > (WREG); (unsigned comparison)
		bra	NonPriorityMsg	
	movlw	d'91'						;
	cpfslt	PCPWM_MotorStatus,BANKED	;(f) - (WREG) skip if (f) < (WREG); (unsigned comparison)
		bra	NonPriorityMsg	
	movff	PCPWM_MotorStatus,LCD_4_Buf;,F,BANKED;    4 
	bra		Done_LCD_4_Buf
NonPriorityMsg
;2.  PCPWM_Alarm_Route  WorkSubStr   LCD_4_Buf;,F,BANKED   4 
	movlw	WorkSubStr						;
	subwf	PCPWM_Alarm_Route,W,BANKED		;Subtract WREG from f  
	bz		Done_LCD_4_Buf					;      

;3.  PCPWM_Alarm_Route   WorkSubStr       Msg61 - Msg70 10 
;       - -  -  - 
	movlw	d'71'						;
	cpfsgt	PCPWM_Alarm_Route,BANKED	;(f) - (WREG) skip if (f) > (WREG); (unsigned comparison)
		bra	Done_LCD_4_Buf	
	movlw	d'81'						;
	cpfslt	PCPWM_Alarm_Route,BANKED	;(f) - (WREG) skip if (f) < (WREG); (unsigned comparison)
		bra	Done_LCD_4_Buf	
	movff	PCPWM_Alarm_Route,LCD_4_Buf;,F,BANKED;    4 
Done_LCD_4_Buf

;   10         - 

; #ifdef PCPWM_Dbg12b	; Yes	;  12   
;	#include Proj_Dir\PCPWM_3F\Int_PCPWM_3F_4431.inc ;      .	
; #else
;
; #endif
 	btg PCPWM_Flag2,2,ACCESS;;2=    /

 btfsc	PCPWM_Flag2,2,ACCESS;;2=    /
 	bcf PCPWM_Flag2,0,ACCESS;;0=     

 btfss	PCPWM_Flag2,2,ACCESS;;2=    /
	bcf	PCPWM_Flag2,1,ACCESS;1=       

	btg	  PCPWM_Flag,2,ACCESS	;  5   
	btfsc PCPWM_Flag,2,ACCESS	;  5   
		bra	DoneAnimePcPwm
		PCPWM_Page	; BSR for PCPWM Task

	MOVLW d'12'; d'9' ;     
	btfsc	PCPWM_Flag,6,ACCESS;6= RealStop PCPWM Module -       
	MOVLW d'15'; d'12' ;   - ()

	btfss PCPWM_Flag,3,ACCESS	; /
		bra	DoneAnimePcPwm1	
	MOVLW d'11'; d'8' ;   

;   
;	incf	PCPWM_AnimeCount,F,BANKED	;
;	MOVLW 0x7 ;   /  
;	ANDWF	PCPWM_AnimeCount,F,BANKED	;
;	MOVLW d'13' ;    
;	ADDWF	PCPWM_AnimeCount,W,BANKED	;

DoneAnimePcPwm1	
	movwf	PCPWM_AnimeSubStr,BANKED	;     
DoneAnimePcPwm
	movlw	d'11'; d'8'	;    /	
	btfss PCPWM_Flag,3,ACCESS	; /
	incf	WREG,W,ACCESS	;
	movwf	PCPWM_StartStop,BANKED;   /  

	movlw	d'13'; d'10'	;    /	
	btfsc PCPWM_Flag,4,ACCESS	; /
	incf	WREG,W,ACCESS	;
	movwf	PCPWM_ForwardReverse,BANKED;   /  

; 12/06/2020   3 -     
;     = 3
	movf	PcPwmProg,W,BANKED	;,F,BANKED;10=   
	sublw	d'3'				;    
	bnz		NotPrg3				;       
	btfsc PCPWM_Flag,4,ACCESS	; /
	bra		NotPrg3				;       
	movlf	d'16',PCPWM_ForwardReverse,BANKED;; d'13'     7
NotPrg3


	BCF INTCON, PEIE,ACCESS; Disable Interrupts Low/Periferial
 #include Proj_Dir\PCPWM_3F\Angle_TableLoad.inc;     
	BSF INTCON, PEIE,ACCESS; Disable Interrupts Low/Periferial


		RTK_Page	; BSR for RTK Task
