; ********** GENERATED Common Data Table File Created 10/12/2022 15:04:05.78 
; *******************  Begin File EPROM\Table_EPROM.inc **************** 
;   ,   .
;       ,
;   . 
;       - 
;      
;#ifdef	W1_Pin
;	#define ParametrCmn	d'16';      
;#else
;	#define ParametrCmn	d'14';      1-W
;#endif
;;     
;#define ParamBlockNum d'16';    
;#define ParamBlockLen d'13';    
;;     :
; dw	PCPWM_MotorNum	;  
;    Parameters_PSW_12b.xls/Param
;    EPROM\EPROM_RegsAdr.inc
;  PCPWM_3F\Parameters_PSW_12b.xls
	global	EPROM_Table_End,EPROM_Table;
EPROM_Table 
  dw PCPWM_MotorNum; 1=  0-15
  dw LCD_DebounceTimeOut; 2= 
  dw LCD_6_4; 3= 4 

;  09/06/2020       
  dw PCPWM_SpdMin;	4= )     
  dw PCPWM_SpdDelta;5= )       
  dw PCPWM_K_Prop;	6= )    
  dw PCPWM_K_Integr;7= )    
  dw PCPWM_K_Diff;	8= )    
  dw PCPWM_Alrm_Tim;9= )      
  dw Adc_Corr+5;	10=) AN   
  dw Adc_Corr+4;	11=) AN   

  dw Adc_Corr+3; 12=  
  dw Adc_Corr+2; 13= 
  dw Adc_Corr+1; 14=  
  dw Adc_Corr+0; 15= 
  
  dw Par_V; 16= 
  dw Par_VS;17=  
  dw Par_T; 18=  
	#ifdef	W1_Pin
  dw Par_K; 19=W1 Temp
  dw Par_K1; 20=W1 temp1
	#endif

 ;22/03/2020  
 ; dw PcDC_VN; 14=  DC  
  dw PcDC_Kf; 21= DC 

  dw PcPwmTopDT	; 22 =        
  dw DtConBuf; 23 =DTCON 0-63  
  dw DelayCuriosityIndex; 24=Delay Curiosity
;    
; 
;     
  dw PCPWM_Speed; 1= 
  dw PCPWM_Amp; 2=V/F Amp
  dw PCPWM_VFStart; 3=V/F Start
  dw PCPWM_Accelerate; 4=Accelerate
  dw Par_A; 5=
  dw PCPWM_MaxSpdIndx; 6=  
  dw PcPwmFrqInd; 7=  0-20
  dw PcPwmAngInd; 8=   0-3
  dw PCPWM_AutoStart; 9=  -127:127
  dw PcPwmProg; 10=   

;22/03/2020  
;  dw PcDC_Kf; 11= DC 
 dw PcDC_VN; 11=  DC 

;09/06/2020     
  dw Par_UV; 12=  (  )

  dw PCPWM_Speed_M0; 13=   1
  dw PCPWM_Speed_M1; 14=   2
EPROM_Table_End

; *******************  Begin File 1W\Table_1W.inc **************** 
;*************************Table_1W.h Begin **********************
	global	Table_1W
Table_1W	;   1-wire 
  SN_Ds18B20; macro	;    Cfg\Vxxx.inc
;**** End

; *******************  Begin File LCD_Key_Enc\Table_LCD_Key_Enc.inc **************** 
;*********    -    .
;      LCD 204
; 00=1  20=3  64=2  84=4 
 #define Beg_1_Str d'0' ;=1 
 #define Beg_2_Str d'64';=2 
 #define Beg_3_Str d'20';=3 
 #define Beg_4_Str d'84';=4 
;  7 -    40    7
;   40-48 49-57 58-64  8 
;     -  010-0x1F ,  
;      -  16     RAM,
;   "DW"  "DB".
;    (   HD44780):
; 0x10=DW	
 #define HexUByte2ch 0x10 ; . 2 
; 0x11=DW	;    - 4  - 
 #define HexUWord4ch 0x11 ; HexUWord4ch ; 0x11 ; 4 
; 0x12=DW	;      - 2  () - 
 #define DecUByte2ch 0x12 ; ... 2 
; 0x13=DW	;      - 5  - 
 #define DecUWord5ch 0x13 ;
; 0x14=DW	;     - 
 #define DecSByte4ch 0x14 ;
; 0x15=DW	;     - 6 
 #define DecSWord6ch 0x15 ;
; 0x16		;   -     - 
 #define SendByte2CmdReg 0x16 ;
; -    (       - 
; 0x17=DW	;    - :
 #define ParamRegulate 0x17 ;
;    - ,   -   
;     -      :
;     -  .    /.
;    ,      
;     -    .
;       -      .
; 0x18=DW	;    - 1     - 
 #define HexUByte1ch 0x18 ;   - 1     - 
; 0x19=DW	;          -127.7 - 
 #define DecSWordTemp6ch 0x19 ;
; 0x1A=DW	;        +  - 
 #define SubStringOut 0x1A ;
; 0x1B=DW	;       . - 5  - 
 #define DecSWordPress5ch 0x1B ;
; 0x1C=DW	; 
; 0x1D=DW	; 
; 0x1E=DW	; 
; 0x1F=DW	;   2   4    +


 #include Proj_Dir\LCD_Key_Enc\LCD_Text_FA.inc	;    .

 #include Proj_Dir\LCD_Key_Enc\LCD_Text_0-5.inc	;      

 #include Proj_Dir\LCD_Key_Enc\LCD_Enc_Text.inc	;      

 #include Proj_Dir\LCD_Key_Enc\LCD_SubStr.inc	;   

;**********    ; *******************  Begin File PCPWM_3F\Table_PCPWM_3F.inc **************** 
;************ PCPWM_Table **********************
	global	TabPwmFreq
TabPwmFreq	;        - 21 
  #include Proj_Dir\PCPWM_3F\PwmTab.inc	; 21   ~ 12  = 252 

	global	TabDeltAngle	;    
TabDeltAngle;     - 4  (45/72/90/120 )
  #include Proj_Dir\PCPWM_3F\AngTab.inc	; 4   3  = 12 


;      24 :
	errorlevel  -311 ; 		Message[311] 
;Message[311] C:\MICROCHIP\_PRG\RTOS_3F_4431\PCPWM_3F\SPEEDTABLE_DB.INC 65 :
; Operand of HIGH operator was larger than H'FFFF'.
	global	Table_Simples
Table_Simples	;;     256 ,    MakeSimple.bas/exe
 #include Proj_Dir\PCPWM_3F\S2.inc	; 

	global	Simples_100
Simples_100	;;     256 ,    MakeSimple.bas/exe
; #include Proj_Dir\PCPWM_3F\S_100.inc	; 

; 26/05/2020   -  ;
	global	Simples_200
Simples_200	;;     256 ,    MakeSimple.bas/exe
; #include Proj_Dir\PCPWM_3F\S_200.inc	; 

; 02/02/2020   -  ;
	global	Simples_400
Simples_400	;;     256 ,    MakeSimple.bas/exe
; #include Proj_Dir\PCPWM_3F\S_400.inc	; 

; 19/01/2020   -  .
	global	Simples_800
Simples_800	;;     256 ,    MakeSimple.bas/exe
; #include Proj_Dir\PCPWM_3F\S_800.inc	; 

 	errorlevel  +311 ; 	Message[311] 

;************ PCPWM_Table end**********************
